<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ #%L
  ~ chvote-pact
  ~ %%
  ~ Copyright (C) 2016 - 2018 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ch.ge.ve</groupId>
        <artifactId>pact-back</artifactId>
        <version>0.0.5</version>
    </parent>

    <artifactId>pact-back-mock-server</artifactId>
    <packaging>pom</packaging>

    <modules>
        <module>pact-back-mock-server-service</module>
        <module>pact-back-mock-server-rest</module>
    </modules>

    <properties>
        <sonar.skip>true</sonar.skip>

        <!-- Additional dependencies versions -->
        <springfox.version>2.7.0</springfox.version>
    </properties>

    <dependencyManagement>
        <dependencies>

            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger2</artifactId>
                <version>${springfox.version}</version>
            </dependency>
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger-ui</artifactId>
                <version>${springfox.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>
</project>
